#ifndef __PLAYLIST_H_
#define __PLAYLIST_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define PLAYLIST_TYPE            (playlist_get_type ())
#define PLAYLIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PLAYLIST_TYPE, PlayList))
#define PLAYLIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PLAYLIST_TYPE, PlayList))
#define IS_PLAYLIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PLAYLIST_TYPE))
#define IS_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), PLAYLIST_TYPE))

typedef struct _PlayList      PlayList;
typedef struct _PlayListClass PlayListClass;

struct _PlayList {
    GtkWindow window;

    GtkWidget *vbox;

    GtkWidget *view;
    GtkWidget *menu;
    GtkListStore *store;  /* require? how about gtk_tree_view_[get|set]_model ? */
};

struct _PlayListClass {
    GtkWindowClass parent_class;
};

GType      playlist_get_type (void);

GtkWidget *playlist_new      (void);

G_END_DECLS

#endif /* __PLAYLIST_H_ */
